Subscribe to events
curl --request POST \
--url https://api.greentick.ai/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.zapier.com/hooks/catch/123/abc",
"events": [
"message.received"
],
"description": "Zapier: New incoming message"
}
'import requests
url = "https://api.greentick.ai/v1/webhooks"
payload = {
"url": "https://hooks.zapier.com/hooks/catch/123/abc",
"events": ["message.received"],
"description": "Zapier: New incoming message"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.zapier.com/hooks/catch/123/abc',
events: ['message.received'],
description: 'Zapier: New incoming message'
})
};
fetch('https://api.greentick.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.greentick.ai/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://hooks.zapier.com/hooks/catch/123/abc',
'events' => [
'message.received'
],
'description' => 'Zapier: New incoming message'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.greentick.ai/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/123/abc\",\n \"events\": [\n \"message.received\"\n ],\n \"description\": \"Zapier: New incoming message\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.greentick.ai/v1/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/123/abc\",\n \"events\": [\n \"message.received\"\n ],\n \"description\": \"Zapier: New incoming message\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.greentick.ai/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://hooks.zapier.com/hooks/catch/123/abc\",\n \"events\": [\n \"message.received\"\n ],\n \"description\": \"Zapier: New incoming message\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"description": "<string>",
"signingSecret": "<string>"
}
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}Webhooks
Subscribe to events
Creates an outbound webhook for this API key’s WhatsApp Business account. Zapier and Make.com call this when a Zap or scenario is turned on. The signing secret is returned once.
POST
/
webhooks
Subscribe to events
curl --request POST \
--url https://api.greentick.ai/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.zapier.com/hooks/catch/123/abc",
"events": [
"message.received"
],
"description": "Zapier: New incoming message"
}
'import requests
url = "https://api.greentick.ai/v1/webhooks"
payload = {
"url": "https://hooks.zapier.com/hooks/catch/123/abc",
"events": ["message.received"],
"description": "Zapier: New incoming message"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.zapier.com/hooks/catch/123/abc',
events: ['message.received'],
description: 'Zapier: New incoming message'
})
};
fetch('https://api.greentick.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.greentick.ai/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://hooks.zapier.com/hooks/catch/123/abc',
'events' => [
'message.received'
],
'description' => 'Zapier: New incoming message'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.greentick.ai/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/123/abc\",\n \"events\": [\n \"message.received\"\n ],\n \"description\": \"Zapier: New incoming message\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.greentick.ai/v1/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://hooks.zapier.com/hooks/catch/123/abc\",\n \"events\": [\n \"message.received\"\n ],\n \"description\": \"Zapier: New incoming message\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.greentick.ai/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://hooks.zapier.com/hooks/catch/123/abc\",\n \"events\": [\n \"message.received\"\n ],\n \"description\": \"Zapier: New incoming message\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"description": "<string>",
"signingSecret": "<string>"
}
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}Authorizations
Create an API key in GreenTick Developer settings. Send it as Authorization: Bearer gt_live_… (Bearer prefix required).
Body
application/json
Example:
"https://hooks.zapier.com/hooks/catch/123/abc"
Available options:
message.received, message.sent, message.delivered, message.read, message.failed, order.received Example:
["message.received"]
Example:
"Zapier: New incoming message"

